Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 616 - permission denied for unrelated file
Summary: permission denied for unrelated file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-26 23:11 UTC by borgia
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-25 09:36:45 UTC


Attachments (Terms of Use)

Description borgia 1998-12-26 23:11:11 UTC
This did not happen with 6.3.2-4, but happens with
6.3.2-10; no changes in between

-cut-cut-
/etc/rc.d/init.d/postgresql start
Starting postgresql service: bash: /root/.bashrc: Permission
denied
postmaster [11059]
-cut-cut-

Comment 1 borgia 1998-12-28 06:37:59 UTC
found a solution: you need "su -l -c" instead of "su -c" in the
startup script

Comment 2 Jay Turner 1998-12-31 17:05:59 UTC
I have verified that this bug is true in the test lab. It does
generate the error as reported by the user but the postmaster service
is still started.

Adding a - or -l to the /etc/rc.d/init.d/postgresql script alleviates
the error message.

Comment 3 Cristian Gafton 1999-02-25 09:36:59 UTC
Fixed in the source rpm available from rawhide


Note You need to log in before you can comment on or make changes to this bug.